## Process this file with automake to produce Makefile.in  -*- makefile -*-


noinst_LIBRARIES += src/libpspp/libpspp.a

src_libpspp_libpspp_a_SOURCES = \
	src/libpspp/abt.c \
	src/libpspp/abt.h \
	src/libpspp/array.c \
	src/libpspp/array.h \
	src/libpspp/assertion.h \
	src/libpspp/bit-vector.h \
	src/libpspp/bt.c \
	src/libpspp/bt.h \
	src/libpspp/compiler.h \
	src/libpspp/copyleft.c \
	src/libpspp/copyleft.h \
	src/libpspp/deque.c \
	src/libpspp/deque.h \
	src/libpspp/float-format.c \
	src/libpspp/float-format.h \
	src/libpspp/freaderror.c \
	src/libpspp/freaderror.h \
	src/libpspp/getl.c \
	src/libpspp/getl.h \
	src/libpspp/hash.c \
	src/libpspp/hash.h \
	src/libpspp/heap.c \
	src/libpspp/heap.h \
	src/libpspp/i18n.c \
	src/libpspp/i18n.h \
	src/libpspp/integer-format.c \
	src/libpspp/integer-format.h \
	src/libpspp/legacy-encoding.c \
	src/libpspp/legacy-encoding.h \
	src/libpspp/ll.c \
	src/libpspp/ll.h \
	src/libpspp/llx.c \
	src/libpspp/llx.h \
	src/libpspp/message.c \
	src/libpspp/message.h \
	src/libpspp/misc.c \
	src/libpspp/misc.h \
	src/libpspp/model-checker.c \
	src/libpspp/model-checker.h \
	src/libpspp/msg-locator.c \
	src/libpspp/msg-locator.h \
	src/libpspp/pool.c \
	src/libpspp/pool.h \
	src/libpspp/range-map.c \
	src/libpspp/range-map.h \
	src/libpspp/range-set.c \
	src/libpspp/range-set.h \
	src/libpspp/sparse-array.c \
	src/libpspp/sparse-array.h \
	src/libpspp/start-date.c \
	src/libpspp/start-date.h \
	src/libpspp/str.c \
	src/libpspp/str.h \
	src/libpspp/taint.c \
	src/libpspp/taint.h \
	src/libpspp/tower.c \
	src/libpspp/tower.h \
	src/libpspp/verbose-msg.c \
	src/libpspp/verbose-msg.h \
	src/libpspp/version.h 

DISTCLEANFILES+=src/libpspp/version.c

src_libpspp_libpspp_a_CPPFLAGS = -I $(top_srcdir)/src/libpspp $(AM_CPPFLAGS)

nodist_src_libpspp_libpspp_a_SOURCES = src/libpspp/version.c

src/libpspp/version.c: $(top_srcdir)/AUTHORS
	@$(MKDIR_P) src/libpspp
	echo "/* 	-*- mode: c; buffer-read-only: t -*-" > $@
	echo "   Generated by src/libpspp/automake.mk --- Do not edit. */">> $@
	echo "#include \"version.h\"" >> $@
	echo "const char bare_version[] = \"@VERSION@\";" >> $@
	echo "const char version[] = \"GNU @PACKAGE@ @VERSION@\";" >> $@
	echo "const char stat_version[] = \"GNU @PACKAGE@ @VERSION@ \
(`date`).\";" >> $@
	echo "const char host_system[] = \"$(host_triplet)\";" >> $@
	echo "const char build_system[] = \"$(build_triplet)\";" >> $@
	echo "const char default_config_path[] =\
\"\$$HOME/.pspp:$(pkgsysconfdir)\";" >> $@
	echo "const char include_path[] =\
\"./:\$$HOME/.pspp/include:$(pkgdatadir)\";" >> $@
	echo "const char locale_dir[] = \"$(datadir)/locale\";" >> $@
	echo "const char *const authors[] = {" >> $@
	sed -e 's/^/  \"/' -e 's/$$/\",/' $(top_srcdir)/AUTHORS >> $@
	echo "0 };" >> $@


EXTRA_DIST += src/libpspp/OChangeLog
